Badges
Last updated
GET /badges HTTP/1.1
Host: badges.decentraland.org
Accept: */*
{
"data": [
{
"id": "traveler",
"name": "Traveler",
"description": "Explore Genesis City scenes for at least 1 minute each. Progress through tiers from 1 scene (Starter) to 10,000 scenes (Diamond).",
"category": "Explorer",
"criteria": {
"steps": 1,
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"tiers": [
{
"tierId": "traveler-bronze",
"tierName": "Bronze",
"description": "50 Genesis City scenes explored (for at least 1 min)",
"criteria": {
"steps": 50,
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"assets": {
"2d": {
"normal": "https://badges.decentraland.org/assets/badge-2d.png"
},
"3d": {
"normal": "text",
"hrm": "text",
"basecolor": "text"
}
}
}
],
"assets": {
"2d": {
"normal": "https://badges.decentraland.org/assets/badge-2d.png"
},
"3d": {
"normal": "text",
"hrm": "text",
"basecolor": "text"
}
}
}
]
}GET /badges/{id} HTTP/1.1
Host: badges.decentraland.org
Accept: */*
{
"data": {
"badge": {
"id": "traveler",
"name": "Traveler",
"description": "Explore Genesis City scenes for at least 1 minute each. Progress through tiers from 1 scene (Starter) to 10,000 scenes (Diamond).",
"category": "Explorer",
"criteria": {
"steps": 1,
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"tiers": [
{
"tierId": "traveler-bronze",
"tierName": "Bronze",
"description": "50 Genesis City scenes explored (for at least 1 min)",
"criteria": {
"steps": 50,
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"assets": {
"2d": {
"normal": "https://badges.decentraland.org/assets/badge-2d.png"
},
"3d": {
"normal": "text",
"hrm": "text",
"basecolor": "text"
}
}
}
],
"assets": {
"2d": {
"normal": "https://badges.decentraland.org/assets/badge-2d.png"
},
"3d": {
"normal": "text",
"hrm": "text",
"basecolor": "text"
}
}
}
}
}GET /badges/{id}/tiers HTTP/1.1
Host: badges.decentraland.org
Accept: */*
{
"data": {
"tiers": [
{
"tierId": "traveler-bronze",
"tierName": "Bronze",
"description": "50 Genesis City scenes explored (for at least 1 min)",
"criteria": {
"steps": 50,
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"assets": {
"2d": {
"normal": "https://badges.decentraland.org/assets/badge-2d.png"
},
"3d": {
"normal": "text",
"hrm": "text",
"basecolor": "text"
}
}
}
]
}
}